# Method: accounts.adclients.customchannels.create

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/create#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/create#body.response_body)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/create#body.aspect)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels/create#try-it)

Creates a custom channel.

This method can be called only by a restricted set of projects, which are usually owned by [AdSense for Platforms](https://developers.google.com/adsense/platforms/) publishers. Contact your account manager if you need to use this method.

### HTTP request

`POST https://adsense.googleapis.com/v2/{parent=accounts/*/adclients/*}/customchannels`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The ad client to create a custom channel under. Format: accounts/{account}/adclients/{adclient} |

### Request body

The request body contains an instance of `https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels#CustomChannel`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.customchannels#CustomChannel`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsense`